<?php
/**
 * The Strangecode Codebase - a general application development framework for PHP
 * For details visit the project site: <http://trac.strangecode.com/codebase/>
 * Copyright 2001-2010 Strangecode, LLC
 * 
 * This file is part of The Strangecode Codebase.
 *
 * The Strangecode Codebase is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 * 
 * The Strangecode Codebase is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * PHPUnit test case for codebase/lib/Email.inc.php
 *
 * The method skeletons below need to be filled in with
 * real data so that the tests will run correctly. Replace
 * all EXPECTED_VAL and PARAM strings with real data.
 *
 * Created with PHPUnit_Skeleton on 2005-12-01
 */
require_once 'PHPUnit.php';
class EmailTest extends PHPUnit_TestCase {

    var $Email;

    function EmailTest($name)
    {
        $this->PHPUnit_TestCase($name);
    }

    function setUp()
    {
        require dirname(__FILE__) . '/_config.inc.php';
        require_once '../lib/Email.inc.php';
        $this->Email =& new Email();
    }

    function tearDown()
    {
        unset($this->Email);
    }

//     function testsetparam()
//     {
//         $result   = $this->Email->setparam(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }
//
//     function testgetparam()
//     {
//         $result   = $this->Email->getparam(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }
//
//     function testsettemplate()
//     {
//         $result   = $this->Email->settemplate(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }
//
//     function testsetstring()
//     {
//         $result   = $this->Email->setstring(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }
//
//     function testreplace()
//     {
//         $result   = $this->Email->replace(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }
//
//     function testsend()
//     {
//         $result   = $this->Email->send(PARAM);
//         $expected = EXPECTED_VAL;
//         $this->assertEquals($expected, $result);
//     }

    function testvalidemail()
    {
        $testpool = file('_email_test_addresses.txt');

        $gc = 0;
        $bc = 0;
        $good = array();
        $bad = array();
        if (is_array($testpool) && !empty($testpool)) {
            foreach ($testpool as $a) {
                if ($this->Email->validEmail($a)) {
                    $good[] = trim($a);
                    $gc++;
                } else {
                    $bad[] = trim($a);
                    $bc++;
                }
            }
        }
        $this->assertEquals(41, $gc, 'Unexpected good count.');
        $this->assertEquals(47, $bc, 'Unexpected bad count.');
        // echo "Good addresses: $gc\n";
        // echo "Bad addresses: $bc\n";
//         echo join("\n", $bad);
//         echo "\n";
    }

}
// Running the test.
$suite  = new PHPUnit_TestSuite('EmailTest');
$result = PHPUnit::run($suite);
echo $result->toString();
?>
